Bug 245016 - PolicyKit-gnome package review
Summary: PolicyKit-gnome package review
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-20 15:36 UTC by David Zeuthen
Modified: 2013-03-06 03:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 19:54:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Matthias Clasen 2007-06-20 20:07:21 UTC
Preludes:

- should use full source url

- why do you need to BR both dbus-glib and dbus-glib-devel ?

- might be worthwhile to drop the libgnomeui dependency



Comment 2 Matthias Clasen 2007-06-21 04:25:23 UTC
Formal checklist:

rpmlint: only warns about no docs in the -demo subpackage. I wonder if you
want to include the sourcecode in the package, to make the demo actually useful
for people looking for example code ?

package name: follows tarball name, ok
spec file name: ok
packaging guidelines: 
  - the source url was already mentioned
  - the %build section should also have a make, not just a configure
license: ok
license field: ok
license file: ok, 
American English: yes
legibility: excellent
upstream sources: ok
buildable: yes
excludearch: n/a
BRs: ok
locale handling: n/a (LINGUAS is empty atm)
shared libs: n/a
relocatable: no
directory ownership:
  - should /usr/share/PolicyKit and /usr/share/PolicyKit/policy be owned
    by PolicyKit itself ?
file list duplicates: none
permissions: ok
%clean section: ok
macro use: ok
content: permissable
documentation: ok
%doc content: ok
header files: n/a
static libs: n/a
pkgconfig files: n/a
shared libs: n/a
libtool archives: n/a
desktop files: ok, I think. maybe you need to put a comment
file ownership: ok
%install: cleans build root
filenames utf8: ok



Comment 3 Matthias Clasen 2007-07-26 16:52:04 UTC
David did a new release and new srpms here: 

http://people.freedesktop.org/~david/release-o-rama-july-2007/

Comment 4 Matthias Clasen 2007-07-26 18:11:48 UTC
Some comments still apply:

- why do you need to BR both dbus-glib and dbus-glib-devel ?

- might be worthwhile to drop the libgnomeui dependency

But both are not blockers, so I'll say APPROVED

Comment 5 David Zeuthen 2007-07-27 16:38:54 UTC
New Package CVS Request
=======================
Package Name: PolicyKit-gnome 
Short Description: GNOME auth dialogs for PolicyKit
Owners: davidz@redhat.com
Branches:
InitialCC: 


Comment 6 David Zeuthen 2007-07-31 19:54:58 UTC
Built in pkg cvs.


Note You need to log in before you can comment on or make changes to this bug.